import { __decorate } from "tslib";
import { attr, customElement, GenesisElement } from '@genesislcap/web-core';
import { Store } from '../../store';
import { MicroservicesDetailsGrid } from '../microservices/microservice-details-grid/microservice-details-grid';
import { MicroservicesGrid } from '../microservices/microservice-grid/microservice-grid';
import { ResourcesDetails } from '../resources/resources-details/resources-details';
import { ResourcesGrid } from '../resources/resources-grid/resources-grid';
import { ConsoleStyles as styles } from './console.styles';
import { FoundationConsoleTemplate as template } from './console.template';
MicroservicesGrid;
MicroservicesDetailsGrid;
ResourcesGrid;
ResourcesDetails;
let FoundationConsole = class FoundationConsole extends GenesisElement {
    constructor() {
        super(...arguments);
        this.prefix = 'zero';
    }
    connectedCallback() {
        super.connectedCallback();
        if (this.store.selectedMicroserviceName) {
            this.store.emitSelectedMicroserviceName(null);
        }
    }
};
__decorate([
    Store
], FoundationConsole.prototype, "store", void 0);
__decorate([
    attr({ attribute: 'design-system-prefix' })
], FoundationConsole.prototype, "prefix", void 0);
FoundationConsole = __decorate([
    customElement({
        name: 'foundation-console',
        template,
        styles,
    })
], FoundationConsole);
export { FoundationConsole };
