import { __decorate } from "tslib";
import { customElement, GenesisElement, html, volatile } from '@genesislcap/web-core';
import { Store } from '../../../store';
let MicroservicesDetailsGrid = class MicroservicesDetailsGrid extends GenesisElement {
    get getSelectedMicrosoerviceCriteria() {
        return this.store.selectedMicroserviceName
            ? `PROCESS_NAME == '${this.store.selectedMicroserviceName}'`
            : undefined;
    }
};
__decorate([
    Store
], MicroservicesDetailsGrid.prototype, "store", void 0);
__decorate([
    volatile
], MicroservicesDetailsGrid.prototype, "getSelectedMicrosoerviceCriteria", null);
MicroservicesDetailsGrid = __decorate([
    customElement({
        name: 'microservices-details-grid',
        template: html `
    <rapid-grid-pro enable-cell-flashing>
      <grid-pro-client-side-datasource
        resource-name="ALL_PROCESSES_STATUS"
        criteria="${(x) => x.getSelectedMicrosoerviceCriteria}"
      ></grid-pro-client-side-datasource>
    </rapid-grid-pro>
  `,
    })
], MicroservicesDetailsGrid);
export { MicroservicesDetailsGrid };
