import { __decorate } from "tslib";
import { LifecycleMixin } from '@genesislcap/foundation-utils';
import { customElement, DOM, GenesisElement, html, ref } from '@genesislcap/web-core';
import { Store } from '../../../store';
let MicroservicesGrid = class MicroservicesGrid extends LifecycleMixin(GenesisElement) {
    get gridOptions() {
        return {
            rowSelection: 'single',
            defaultColDef: {
                resizable: false,
            },
            onRowSelected: (event) => {
                DOM.queueUpdate(() => {
                    var _a;
                    const selectedRows = (_a = event.api) === null || _a === void 0 ? void 0 : _a.getSelectedRows();
                    if (!selectedRows || selectedRows.length === 0) {
                        this.store.emitSelectedMicroserviceName(null);
                        return;
                    }
                    this.store.emitSelectedMicroserviceName(selectedRows[0].NAME);
                });
            },
        };
    }
};
__decorate([
    Store
], MicroservicesGrid.prototype, "store", void 0);
MicroservicesGrid = __decorate([
    customElement({
        name: 'microservices-grid',
        template: html `
    <rapid-grid-pro grid-autosizing>
      <grid-pro-client-side-datasource
        ${ref('resourcesGrid')}
        :deferredGridOptions="${(x) => x.gridOptions}"
        row-id="NAME"
        resource-name="SYSTEM_PROCESSES"
      ></grid-pro-client-side-datasource>
    </rapid-grid-pro>
  `,
    })
], MicroservicesGrid);
export { MicroservicesGrid };
