import { __decorate } from "tslib";
import { attr, customElement, GenesisElement } from '@genesislcap/web-core';
import { Store } from '../../store';
import { MicroservicesDetailsGrid } from './microservice-details-grid/microservice-details-grid';
import { MicroservicesGrid } from './microservice-grid/microservice-grid';
import { MicroservicesStyles as styles } from './microservices.styles';
import { MicroservicesTemplate as template } from './microservices.template';
MicroservicesGrid;
MicroservicesDetailsGrid;
let Microservices = class Microservices extends GenesisElement {
    constructor() {
        super(...arguments);
        this.prefix = 'zero';
    }
    connectedCallback() {
        super.connectedCallback();
        if (this.store.selectedMicroserviceName) {
            this.store.emitSelectedMicroserviceName(null);
        }
    }
};
__decorate([
    Store
], Microservices.prototype, "store", void 0);
__decorate([
    attr({ attribute: 'design-system-prefix' })
], Microservices.prototype, "prefix", void 0);
Microservices = __decorate([
    customElement({
        name: 'microservices-route',
        template,
        styles,
    })
], Microservices);
export { Microservices };
