import { __decorate } from "tslib";
import { css, customElement, GenesisElement, html, when } from '@genesislcap/web-core';
import { Store } from '../../../store';
let ResourcesDetails = class ResourcesDetails extends GenesisElement {
};
__decorate([
    Store
], ResourcesDetails.prototype, "store", void 0);
ResourcesDetails = __decorate([
    customElement({
        name: 'resources-details',
        template: html `
    ${when((x) => x.store.selectedResourceData, html `
        ${when((x) => x.store.selectedResourceData.RESOURCE_TYPE === 'EVENT_HANDLER', html `
            <foundation-form
              style="width: 100%; overflow: scroll;"
              resourceName=${(x) => x.store.selectedResourceData.RESOURCE_NAME}
              design-system-prefix="rapid"
            ></foundation-form>
          `)}
        ${when((x) => x.store.selectedResourceData.RESOURCE_TYPE === 'DATASERVER' ||
            x.store.selectedResourceData.RESOURCE_TYPE === 'REQUEST_SERVER', html `
            <div style="height: 100%; width: 100%">
              <rapid-grid-pro grid-autosizing>
                <grid-pro-genesis-datasource
                  is-snapshot
                  resource-name=${(x) => x.store.selectedResourceData.RESOURCE_NAME}
                ></grid-pro-genesis-datasource>
              </rapid-grid-pro>
            </div>
          `)}
      `)}
    ${when((x) => !x.store.selectedResourceData, html `
        <span>Please, select a resource.</span>
      `)}
  `,
        styles: css `
    :host {
      color: white;
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100%;
    }
  `,
    })
], ResourcesDetails);
export { ResourcesDetails };
